# Update as needed for newer xulrunner
# We hardcode this here because everytime xulrunner increments
# it tends to break things that depend on it.
%define xulmajorver 1.9
%define xulver 1.9.1.9
%define svndate 20100222
%define svnver 501

Summary:   Telnet client designed for BBS browsing
Name:      pcmanx-gtk2
Version:   0.3.9
Release:   4.%{?svndate}svn%{?dist}
License:   GPLv2+
Group:     Applications/Internet
#Source0:   http://pcmanx-gtk2.googlecode.com/svn/website/release/%{name}-%{version}.tar.bz2

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r %{svnver} http://pcmanx-gtk2.googlecode.com/svn/trunk/ pcmanx-gtk2-%{svndate}
#  tar -cjvf pcmanx-gtk2-%{svndate}.tar.bz2 pcmanx-gtk2-%{svndate}
Source0:   %{name}-%{svndate}.tar.bz2
Source1:   pcmanx.desktop
# Detect xpidl on Fedora (and set MOZILLA_LIB_ROOT properly)
Patch0:    %{name}-0.3.8-Fedora-xpidl.patch
# The idldir in our libxul already has "stable" in it.
Patch1:    %{name}-0.3.8-Fedora-idldir.patch
Patch2:    %{name}-0.3.8-xulrunner.patch
Patch3:    %{name}-aclocal.patch
URL:       http://code.google.com/p/pcmanx-gtk2/
BuildRequires:     gtk2-devel desktop-file-utils gettext libnotify-devel
BuildRequires:     libXft-devel
# required for generating configure script
BuildRequires:     gettext-devel libtool intltool
# plugin
BuildRequires:     xulrunner-devel = %{xulver}
Requires(post):    /sbin/ldconfig
Requires(postun):  /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
An easy-to-use telnet client mainly targets BBS users.

PCMan X is a newly developed GPL'd version of PCMan, a full-featured
famous BBS client formerly designed for MS Windows only.  It aimed to
be an easy-to-use yet full-featured telnet client facilitating BBS
browsing with the ability to process double-byte characters.

%package xulrunner-plugin
Summary:        Mozilla/Firefox/XULRunner telnet plugin using PCManX
Requires:       %{name} = %{version}-%{release}
Requires:       xulrunner = %{xulver}
Group:          Applications/Internet
License:        MPLv1.1 or GPLv2+ or LGPLv2+

%description xulrunner-plugin
Mozilla/Firefox/XULRunner plugin for PCManX. This plugin adds support for telnet:// protocol to your 
Mozilla based browser. The protocol engine is done by PCManX and the output window is embedded in a 
webpage in the browser window. 

%prep
%setup -q -n %{name}-%{svndate}
%patch0 -p1 -b .xpidl
%patch1 -p1 -b .idldir
%patch2 -p1 -b .xul


########################################################################
# automake 1.10 fails without config.rpath.
# Check the following code and see if it can be removed.
 for f in `ls -d %{_datadir}/automake-1.* | sort  -g -k 2 -t .` ; do
    automakever=`echo $f | sed -e 's|%{_datadir}/automake-||'`
 done

 eval %{__sed} -i.orig -e \'s\|-1\\\.9\|-$automakever\|\' autogen.sh
 %{__sed} -i -e 's|set -x|set -e -x|' autogen.sh

 touch config.rpath
########################################################################
%patch3 -p1 -b .aclocal

%build
./autogen.sh
%configure --enable-libnotify --enable-plugin
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="install -c -p" DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category Network %{SOURCE1}

# remove the original one
rm -f $RPM_BUILD_ROOT/%{_datadir}/applications/pcmanx.desktop

%find_lang pcmanx

#remove .la .so files
rm $RPM_BUILD_ROOT/%{_libdir}/*.la
rm $RPM_BUILD_ROOT/%{_libdir}/*.so

# Set the plugin +x so we can get debuginfo from it.
chmod +x $RPM_BUILD_ROOT%{_libdir}/xulrunner-*/plugins/*.so

# Make a symlink so firefox sees the plugin.
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/
cd $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/
ln -s ../../xulrunner-%{xulmajorver}/plugins/pcmanx-plugin.so pcmanx-plugin.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f pcmanx.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS TODO
%dir %{_datadir}/pcmanx
%{_bindir}/*
%{_libdir}/libpcmanx*
%{_datadir}/applications/*
%{_datadir}/pcmanx/*
%{_datadir}/pixmaps/*.png

%files xulrunner-plugin
%defattr(-,root,root,-)
%{_libdir}/xulrunner-*/components/*
%{_libdir}/xulrunner-*/plugins/pcmanx-plugin.so
%{_libdir}/mozilla/plugins/*.so*

%changelog
* Tue Mar 30 2010 Jan Horak <jhorak@redhat.com> - 0.3.9-4.20100222svn
- Rebuild against newer gecko

* Mon Feb 22 2010 Chen Lei <supercyper@163.com> - 0.3.9-3.20100222svn
- svn 501
- resolves: #513527

* Thu Feb 18 2010 <jhorak@redhat.com> - 0.3.9-2.20100210svn
- Rebuild against newer gecko

* Wed Feb 10 2010 Chen Lei <supercyper@163.com> - 0.3.9-1.20100210svn
- svn 500
- remove obsolete patchs

* Wed Dec 16 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-11
- Rebuild against newer gecko

* Thu Nov 05 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-10
- Rebuild against newer gecko

* Tue Oct 27 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-9
- Rebuild against newer gecko

* Wed Sep 09 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-8
- Rebuild against newer gecko

* Tue Aug 04 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-7
- Rebuild against newer gecko

* Thu Jul 23 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-6
- Rebuild against newer gecko

* Wed Mar 5 2009 Caolán McNamara <caolanm@redhat.com> 0.3.8-5
- include stdio.h for perror

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 7 2009 Martin Stransky <stransky@redhat.com> - 0.3.8-3
- updated for xulrunner 1.9.1

* Thu Sep 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.8-2
- rebuild against xulrunner 1.9.0.2

* Wed Aug 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.8-1
- update to 0.3.8
- build and package mozilla/firefox/xulrunner plugin

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.6-3.355svn
- Autorebuild for GCC 4.3

* Tue Sep 11 2007 Leo Shidai Liu <sdl.web@gmail.com> 0.3.6-2.355svn
- bump release number

* Sun Sep  9 2007 Leo Shidai Liu <sdl.web@gmail.com> 0.3.6-1.355svn
- svn 355

* Sat Apr 14 2007 Leo Shidai Liu <sdl.web@gmail.com> 0.3.5-9.336svn
- remove README. Its content is not useful for end users

* Sat Apr 14 2007 Leo Shidai Liu <sdl.web@gmail.com> 0.3.5-8.336svn
- fix build in rawhide (automake 1.10)
- use svn revision number instead of checkout date

* Fri Apr  6 2007 Leo Shidai Liu <sdl.web@gmail.com> 0.3.5-7.20070406svn
- fix svn build
- svn 20070406

* Fri Mar 30 2007 Leo Shidai Liu <sdl.web@gmail.com> 0.3.5-6.20070330svn
- svn 20070330
- enable libnotify support

* Sat Jan 13 2007 Leo Shidai Liu <sdl.web@gmail.com> 0.3.5-5
- Remove X-Fedora category in desktop file

* Sat Jan 13 2007 Leo Shidai Liu <sdl.web@gmail.com> 0.3.5-4
- Add gettext to BuildRequires
- remove deprecated categories in desktop file

* Fri Jan 12 2007 Leo Shidai Liu <sdl.web@gmail.com> 0.3.5-3
- fix debuginfo rpm issues
- fix desktop file issues
- remove unnecessary update-desktop-database scriptlets (no Mimetypes entry in desktop file)

* Fri Jan 12 2007 Leo Shidai Liu <sdl.web@gmail.com> 0.3.5-2
- Move desktop-file-utils to BuildRequires

* Wed Jan 10 2007 Leo Shidai Liu <sdl.web@gmail.com> 0.3.5-1
- Initial build
